/*

* Copyright 2007 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ021BT00.java

*

* Created on 01/08/07 12:43:03

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ021BS00 extends Q02bTablaBD implements Q02bITablaBDQ021BS00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q021AT00_CODTABLA */

    public final static int COLUMN_Q021AT00_CODTABLA = 1;

    /** Constante para la propiedad Q021AT00_CODTABLA */

    public final static String NOMCOLUMN_Q021AT00_CODTABLA = "Q021AT00_CODTABLA";

    /** Constante para la propiedad Q021AT00_CODTABLA */

    public final static int TAM_MAXIMO_Q021AT00_CODTABLA = 15;

    /** Constante para la propiedad Q021BT00_CODIGO */

    public final static int COLUMN_Q021BT00_CODIGO = 2;

    /** Constante para la propiedad Q021BT00_CODIGO */

    public final static String NOMCOLUMN_Q021BT00_CODIGO = "Q021BT00_CODIGO";

    /** Constante para la propiedad Q021BT00_CODIGO */

    public final static int TAM_MAXIMO_Q021BT00_CODIGO = 15;

    /** Constante para la propiedad Q021BT00_DESC_CAST */

    public final static int COLUMN_Q021BT00_DESC_CAST = 3;

    /** Constante para la propiedad Q021BT00_DESC_CAST */

    public final static String NOMCOLUMN_Q021BT00_DESC_CAST = "Q021BT00_DESC_CAST";

    /** Constante para la propiedad Q021BT00_DESC_CAST */

    public final static int TAM_MAXIMO_Q021BT00_DESC_CAST = 500;

    /** Constante para la propiedad Q021BT00_DESC_EUSK */

    public final static int COLUMN_Q021BT00_DESC_EUSK = 4;

    /** Constante para la propiedad Q021BT00_DESC_EUSK */

    public final static String NOMCOLUMN_Q021BT00_DESC_EUSK = "Q021BT00_DESC_EUSK";

    /** Constante para la propiedad Q021BT00_DESC_EUSK */

    public final static int TAM_MAXIMO_Q021BT00_DESC_EUSK = 500;

    /** Constante para la propiedad Q021BT00_FECHA_BAJA */

    public final static int COLUMN_Q021BT00_FECHA_BAJA = 5;

    /** Constante para la propiedad Q021BT00_FECHA_BAJA */

    public final static String NOMCOLUMN_Q021BT00_FECHA_BAJA = "Q021BT00_FECHA_BAJA";

    /** Constante para la propiedad Q021BT00_FECHA_BAJA */

    public final static int TAM_MAXIMO_Q021BT00_FECHA_BAJA = 7;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 5;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q021AT00_CODTABLA*/

    protected String Q021AT00_CODTABLA = null;

    /** Holds value of property Q021AT00_CODTABLA_WHERE */

    protected String Q021AT00_CODTABLA_WHERE = null;

    protected boolean Q021AT00_CODTABLA_MODIF = false;

    /** Holds value of property Q021BT00_CODIGO*/

    protected String Q021BT00_CODIGO = null;

    /** Holds value of property Q021BT00_CODIGO_WHERE */

    protected String Q021BT00_CODIGO_WHERE = null;

    protected boolean Q021BT00_CODIGO_MODIF = false;

    /** Holds value of property Q021BT00_DESC_CAST*/

    protected String Q021BT00_DESC_CAST = null;

    /** Holds value of property Q021BT00_DESC_CAST_WHERE */

    protected String Q021BT00_DESC_CAST_WHERE = null;

    protected boolean Q021BT00_DESC_CAST_MODIF = false;

    /** Holds value of property Q021BT00_DESC_EUSK*/

    protected String Q021BT00_DESC_EUSK = null;

    /** Holds value of property Q021BT00_DESC_EUSK_WHERE */

    protected String Q021BT00_DESC_EUSK_WHERE = null;

    protected boolean Q021BT00_DESC_EUSK_MODIF = false;

    /** Holds value of property Q021BT00_FECHA_BAJA*/

    protected java.util.Date Q021BT00_FECHA_BAJA = null;

    /** Holds value of property Q021BT00_FECHA_BAJA_WHERE */

    protected java.util.Date Q021BT00_FECHA_BAJA_WHERE = null;

    protected boolean Q021BT00_FECHA_BAJA_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "01/08/07 12:43:03";

    protected String columnas[] =  {"Q021AT00_CODTABLA", "Q021BT00_CODIGO", "Q021BT00_DESC_CAST", "Q021BT00_DESC_EUSK", "Q021BT00_FECHA_BAJA"};

    protected int tipos[] =  {12, 12, 12, 12, 93};

    protected int longitudes[] =  {15, 15, 500, 500, 7};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q021AT00_CODTABLA", "Q021BT00_CODIGO"};

    protected String columnasFK[] =  {"Q021AT00_CODTABLA"};

    protected String tablasFK[] =  {"Q021AT00"};

    protected boolean nullables[] =  {false,false,false,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q021BS00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ021BS00 iTablaBDQ021BS00 = null;

    /** Creates new Q021BT00 */

    public Q02bTablaBDQ021BS00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q021BS00 */

    public Q02bTablaBDQ021BS00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ021BS00.setQ021AT00_CODTABLA(null);

        iTablaBDQ021BS00.setQ021AT00_CODTABLA_WHERE(null);

        iTablaBDQ021BS00.setQ021AT00_CODTABLA_MODIF(false);

        iTablaBDQ021BS00.setQ021BT00_CODIGO(null);

        iTablaBDQ021BS00.setQ021BT00_CODIGO_WHERE(null);

        iTablaBDQ021BS00.setQ021BT00_CODIGO_MODIF(false);

        iTablaBDQ021BS00.setQ021BT00_DESC_CAST(null);

        iTablaBDQ021BS00.setQ021BT00_DESC_CAST_WHERE(null);

        iTablaBDQ021BS00.setQ021BT00_DESC_CAST_MODIF(false);

        iTablaBDQ021BS00.setQ021BT00_DESC_EUSK(null);

        iTablaBDQ021BS00.setQ021BT00_DESC_EUSK_WHERE(null);

        iTablaBDQ021BS00.setQ021BT00_DESC_EUSK_MODIF(false);

        iTablaBDQ021BS00.setQ021BT00_FECHA_BAJA(null);

        iTablaBDQ021BS00.setQ021BT00_FECHA_BAJA_WHERE(null);

        iTablaBDQ021BS00.setQ021BT00_FECHA_BAJA_MODIF(false);

        iTablaBDQ021BS00.setNumMaxRegistros(0);

        iTablaBDQ021BS00.setNumInicio(0);

        iTablaBDQ021BS00.setNumFinal(0);

        iTablaBDQ021BS00.setOrderBy(null);

        iTablaBDQ021BS00.setAditionalWhere(null);

        iTablaBDQ021BS00.setInitialWhere(null);

        iTablaBDQ021BS00.setFixedWhere(null);

        iTablaBDQ021BS00.setDistinct(null);

        iTablaBDQ021BS00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q021BS00";

        iTablaBDQ021BS00.setUncommittedRead(false);

        iTablaBDQ021BS00.setForUpdate(false);

        iTablaBDQ021BS00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ021BS00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ021BS00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ021BS00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ021BS00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ021BS00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ021BS00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ021BS00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ021BS00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ021BS00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ021BS00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ021BS00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ021BS00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ021BS00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ021BS00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ021BS00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ021BS00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ021BS00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ021BS00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ021BS00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ021BS00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ021BS00.selectMax();

    }



    /** Method update() */

    public void update()throws SQLException  {

        iTablaBDQ021BS00.update();

        }



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException  {

        iTablaBDQ021BS00.update(where);

    }



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException  {

        iTablaBDQ021BS00.delete(where);

    }



    /** Method delete */

    public void delete()throws SQLException  {

        iTablaBDQ021BS00.delete();

    }



    /** Method insert */

    public void insert()throws SQLException  {

        iTablaBDQ021BS00.insert();

    }



    /** Setter for property Q021AT00_CODTABLA.

    * @param valor New value of propertyQ021AT00_CODTABLA.

    */

    public void setQ021AT00_CODTABLA(String valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021AT00_CODTABLA=valor;

        if (valor==null){

            this.Q021AT00_CODTABLA_MODIF =true;

        }

        }else{

           iTablaBDQ021BS00.setQ021AT00_CODTABLA(valor);

           if (valor==null){

              iTablaBDQ021BS00.setQ021AT00_CODTABLA_MODIF(true);

           }

        }

    }



    public void setQ021AT00_CODTABLA_WHERE(String valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021AT00_CODTABLA_WHERE=valor;

        }else{

           iTablaBDQ021BS00.setQ021AT00_CODTABLA_WHERE(valor);

        }

    }



    public void setQ021AT00_CODTABLA_MODIF(boolean valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021AT00_CODTABLA_MODIF=valor;

        }else{

           iTablaBDQ021BS00.setQ021AT00_CODTABLA_MODIF(valor);

        }

    }



    /** Setter for property Q021BT00_CODIGO.

    * @param valor New value of propertyQ021BT00_CODIGO.

    */

    public void setQ021BT00_CODIGO(String valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_CODIGO=valor;

        if (valor==null){

            this.Q021BT00_CODIGO_MODIF =true;

        }

        }else{

           iTablaBDQ021BS00.setQ021BT00_CODIGO(valor);

           if (valor==null){

              iTablaBDQ021BS00.setQ021BT00_CODIGO_MODIF(true);

           }

        }

    }



    public void setQ021BT00_CODIGO_WHERE(String valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_CODIGO_WHERE=valor;

        }else{

           iTablaBDQ021BS00.setQ021BT00_CODIGO_WHERE(valor);

        }

    }



    public void setQ021BT00_CODIGO_MODIF(boolean valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_CODIGO_MODIF=valor;

        }else{

           iTablaBDQ021BS00.setQ021BT00_CODIGO_MODIF(valor);

        }

    }



    /** Setter for property Q021BT00_DESC_CAST.

    * @param valor New value of propertyQ021BT00_DESC_CAST.

    */

    public void setQ021BT00_DESC_CAST(String valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_DESC_CAST=valor;

        if (valor==null){

            this.Q021BT00_DESC_CAST_MODIF =true;

        }

        }else{

           iTablaBDQ021BS00.setQ021BT00_DESC_CAST(valor);

           if (valor==null){

              iTablaBDQ021BS00.setQ021BT00_DESC_CAST_MODIF(true);

           }

        }

    }



    public void setQ021BT00_DESC_CAST_WHERE(String valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_DESC_CAST_WHERE=valor;

        }else{

           iTablaBDQ021BS00.setQ021BT00_DESC_CAST_WHERE(valor);

        }

    }



    public void setQ021BT00_DESC_CAST_MODIF(boolean valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_DESC_CAST_MODIF=valor;

        }else{

           iTablaBDQ021BS00.setQ021BT00_DESC_CAST_MODIF(valor);

        }

    }



    /** Setter for property Q021BT00_DESC_EUSK.

    * @param valor New value of propertyQ021BT00_DESC_EUSK.

    */

    public void setQ021BT00_DESC_EUSK(String valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_DESC_EUSK=valor;

        if (valor==null){

            this.Q021BT00_DESC_EUSK_MODIF =true;

        }

        }else{

           iTablaBDQ021BS00.setQ021BT00_DESC_EUSK(valor);

           if (valor==null){

              iTablaBDQ021BS00.setQ021BT00_DESC_EUSK_MODIF(true);

           }

        }

    }



    public void setQ021BT00_DESC_EUSK_WHERE(String valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_DESC_EUSK_WHERE=valor;

        }else{

           iTablaBDQ021BS00.setQ021BT00_DESC_EUSK_WHERE(valor);

        }

    }



    public void setQ021BT00_DESC_EUSK_MODIF(boolean valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_DESC_EUSK_MODIF=valor;

        }else{

           iTablaBDQ021BS00.setQ021BT00_DESC_EUSK_MODIF(valor);

        }

    }



    /** Setter for property Q021BT00_FECHA_BAJA.

    * @param valor New value of propertyQ021BT00_FECHA_BAJA.

    */

    public void setQ021BT00_FECHA_BAJA(java.util.Date valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_FECHA_BAJA=valor;

        if (valor==null){

            this.Q021BT00_FECHA_BAJA_MODIF =true;

        }

        }else{

           iTablaBDQ021BS00.setQ021BT00_FECHA_BAJA(valor);

           if (valor==null){

              iTablaBDQ021BS00.setQ021BT00_FECHA_BAJA_MODIF(true);

           }

        }

    }



    public void setQ021BT00_FECHA_BAJA_WHERE(java.util.Date valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_FECHA_BAJA_WHERE=valor;

        }else{

           iTablaBDQ021BS00.setQ021BT00_FECHA_BAJA_WHERE(valor);

        }

    }



    public void setQ021BT00_FECHA_BAJA_MODIF(boolean valor) {

        if (iTablaBDQ021BS00==null){

        this.Q021BT00_FECHA_BAJA_MODIF=valor;

        }else{

           iTablaBDQ021BS00.setQ021BT00_FECHA_BAJA_MODIF(valor);

        }

    }



    /** Getter for property Q021AT00_CODTABLA.

    * @return Value of property Q021AT00_CODTABLA.

    */

    public String getQ021AT00_CODTABLA() {

        if (iTablaBDQ021BS00==null){

            return this.Q021AT00_CODTABLA;

        }else{

           return iTablaBDQ021BS00.getQ021AT00_CODTABLA();

        }

    }



    /** Getter for property Q021AT00_CODTABLA_WHERE.

    * @return Value of property Q021AT00_CODTABLA_WHERE.

    */

    public String getQ021AT00_CODTABLA_WHERE() {

        if (iTablaBDQ021BS00==null){

            return this.Q021AT00_CODTABLA_WHERE;

        }else{

           return iTablaBDQ021BS00.getQ021AT00_CODTABLA_WHERE();

        }

    }



    /** Getter for property Q021BT00_CODIGO.

    * @return Value of property Q021BT00_CODIGO.

    */

    public String getQ021BT00_CODIGO() {

        if (iTablaBDQ021BS00==null){

            return this.Q021BT00_CODIGO;

        }else{

           return iTablaBDQ021BS00.getQ021BT00_CODIGO();

        }

    }



    /** Getter for property Q021BT00_CODIGO_WHERE.

    * @return Value of property Q021BT00_CODIGO_WHERE.

    */

    public String getQ021BT00_CODIGO_WHERE() {

        if (iTablaBDQ021BS00==null){

            return this.Q021BT00_CODIGO_WHERE;

        }else{

           return iTablaBDQ021BS00.getQ021BT00_CODIGO_WHERE();

        }

    }



    /** Getter for property Q021BT00_DESC_CAST.

    * @return Value of property Q021BT00_DESC_CAST.

    */

    public String getQ021BT00_DESC_CAST() {

        if (iTablaBDQ021BS00==null){

            return this.Q021BT00_DESC_CAST;

        }else{

           return iTablaBDQ021BS00.getQ021BT00_DESC_CAST();

        }

    }



    /** Getter for property Q021BT00_DESC_CAST_WHERE.

    * @return Value of property Q021BT00_DESC_CAST_WHERE.

    */

    public String getQ021BT00_DESC_CAST_WHERE() {

        if (iTablaBDQ021BS00==null){

            return this.Q021BT00_DESC_CAST_WHERE;

        }else{

           return iTablaBDQ021BS00.getQ021BT00_DESC_CAST_WHERE();

        }

    }



    /** Getter for property Q021BT00_DESC_EUSK.

    * @return Value of property Q021BT00_DESC_EUSK.

    */

    public String getQ021BT00_DESC_EUSK() {

        if (iTablaBDQ021BS00==null){

            return this.Q021BT00_DESC_EUSK;

        }else{

           return iTablaBDQ021BS00.getQ021BT00_DESC_EUSK();

        }

    }



    /** Getter for property Q021BT00_DESC_EUSK_WHERE.

    * @return Value of property Q021BT00_DESC_EUSK_WHERE.

    */

    public String getQ021BT00_DESC_EUSK_WHERE() {

        if (iTablaBDQ021BS00==null){

            return this.Q021BT00_DESC_EUSK_WHERE;

        }else{

           return iTablaBDQ021BS00.getQ021BT00_DESC_EUSK_WHERE();

        }

    }



    /** Getter for property Q021BT00_FECHA_BAJA.

    * @return Value of property Q021BT00_FECHA_BAJA.

    */

    public java.util.Date getQ021BT00_FECHA_BAJA() {

        if (iTablaBDQ021BS00==null){

            return this.Q021BT00_FECHA_BAJA;

        }else{

           return iTablaBDQ021BS00.getQ021BT00_FECHA_BAJA();

        }

    }



    /** Getter for property Q021BT00_FECHA_BAJA_WHERE.

    * @return Value of property Q021BT00_FECHA_BAJA_WHERE.

    */

    public java.util.Date getQ021BT00_FECHA_BAJA_WHERE() {

        if (iTablaBDQ021BS00==null){

            return this.Q021BT00_FECHA_BAJA_WHERE;

        }else{

           return iTablaBDQ021BS00.getQ021BT00_FECHA_BAJA_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ021BS00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ021BS00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ021BS00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ021BS00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ021BS00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ021BS00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ021BS00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ021BS00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ021BS00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ021BS00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ021BS00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ021BS00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ021BS00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ021BS00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ021BS00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ021BS00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ021BS00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ021BS00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ021BS00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ021BS00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ021BS00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ021BS00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ021BS00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ021BS00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ021BS00==null){

           return this.connection;

        }else{

           return iTablaBDQ021BS00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ021BS00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ021BS00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ021BS00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ021BS00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ021BS00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ021BS00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ021BS00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ021BS00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ021BS00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ021BS00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ021BS00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ021BS00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ021BS00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ021BS00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ021BS00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ021BS00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ021BS00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ021BS00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ021BS00==null){

           return this.distinct;

        }else{

           return iTablaBDQ021BS00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ021BS00==null){

           this.max = valor;

        }else{

           iTablaBDQ021BS00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ021BS00==null){

           return this.max;

        }else{

           return iTablaBDQ021BS00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ021BS00==null){

           super.freeResources();

        }else{

           iTablaBDQ021BS00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ021BS00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ021BS00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

